# Method: advertisers.negativeKeywordLists.patch

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists/patch#try-it)

Updates a negative keyword list. Returns the updated negative keyword list if successful.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordList.negativeKeywordListId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the DV360 advertiser to which the negative keyword list belongs. |
| `negativeKeywordList.negativeKeywordListId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the negative keyword list. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists#NegativeKeywordList`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.negativeKeywordLists#NegativeKeywordList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).